Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto
Class BadPaddingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.crypto.BadPaddingException

All Implemented Interfaces:
  java.io.Serializable

public class BadPaddingException
extends java.security.GeneralSecurityException

This exception is thrown when a particular padding mechanism is expected for the input data but the data is not padded properly

See Also:
  Serialized Form

Constructor Summary
`BadPaddingException()` Constructs a BadPaddingException with no detail message.
`BadPaddingException(java.lang.String msg)` Constructs a BadPaddingException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadPaddingException

    public BadPaddingException()

  Constructs a BadPaddingException with no detail message. A detail message is a String that describes this particular exception.

### BadPaddingException

    public BadPaddingException(java.lang.String msg)

  Constructs a BadPaddingException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD